.watt-homees {
    width: 100%;
}

.watt-homees__banner {
    position: relative;
    display: flex;
    align-items: center;
    width: 100%;
    height: 30.2vw;
    background: #000000 url("/wp-content/themes/watt/assets/page/outdoor-energy-storage/img/banner.webp") no-repeat center/cover;
}

.watt-homees__banner-inner {
    width: 100%;
    margin: 0 auto;
}

.watt-homees__banner-inner-title {
    font-size: 2.5vw;
    color: #ffffff;
    line-height: 1.4em;
    font-weight: 500;
}

.watt-homees__banner-inner-description {
    font-size: 1.04vw;
    color: #ffffff;
    line-height: 1.4em;
    margin-top: 0.52vw;
    width: 15.625vw;
}

.watt-homees__banner-video {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    z-index: 0;
    opacity: 0;
}

.watt-homees__banner-inner-button {
    display: flex;
    margin-top: 1.8vw;
    border-radius: 10em;
    font-size: 0.78125vw;
    color: #3D3D3D;
    padding: 0.52vw 1.6vw;
    transition: all .5s ease;
    overflow: hidden;
}

.watt-homees__banner-inner-button:hover {
    background: var(--watt-blue-dark);
    color: #ffffff;
}

.watt-homees__content {
    display: flex;
    padding-top: 3.125em;
    padding-bottom: 6.25em;
}




/*sidebar*/
.watt-homees__content-sidebar {
    position: sticky;
    display: flex;
    flex-direction: column;
    width: 16%;
    gap: 2.25em;
    margin-top: 0.9375em;
    top: 8em;
    left: 0;
    height: 100%;
}

.watt-homees__content-detail {
    width: 84%;
}


/*brand*/
.watt-homees__content-sidebar-item {
    font-size: 0.75em;
    transition: all 0.5s ease;
    display: flex;
    align-items: center;
    line-height: 1.2;
}

.watt-homees__content-sidebar-item--active {
    color: var(--watt-blue-dark);
    font-weight: 500;
    font-size: 1.2em;
}
.watt-homees__content-sidebar-item--active.watt-homees__content-sidebar-item:before {
    content: '';
    display: inline-block;
    width: 5px;
    height: 1em;
    background: var(--watt-blue-dark);
    margin-right: 0.75em;
}

/*title*/
.watt-homees__content-detail-brand-title {
    text-align: center;
    font-size: 1.6875em;
    color: var(--watt-blue-dark);
    font-weight: 500;
}


/*视频*/
.watt-homees__content-detail-media {
    width: 100%;
    overflow: hidden;
    aspect-ratio: 16 / 9;
    position: relative;
}
.watt-homees__content-detail-media-cover {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}
.watt-homees__content-detail-media-play {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 3;
    cursor:pointer;
    display: flex;
    align-items: center;
    justify-content: center;
}
.watt-homees__content-detail-media-play svg {
    width: 5em;
    height: auto;
    filter: drop-shadow(2px 2px 4px rgba(0, 0, 0, 0.3));
    -webkit-filter: drop-shadow(2px 2px 4px rgba(0, 0, 0, 0.3));
}

.watt-homees__content-detail-media-play:hover svg path {
    fill: var(--watt-yellow-light);

}

.watt-homees__content-detail-media-video {
    height: 100%;
    width: 100%;
    position: relative;
    z-index: -1;
}



/*机架电池*/
.watt-homees__content-detail-jijia {
    /*margin-top: 6.25em;*/
}

.watt-homees__content-detail-common-wrap {
    margin-top: 1.75em;
    display: flex;
    width: 100%;
    height: 19.375em;
}

.watt-homees__content-detail-info {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 33%;
    height: 100%;
    background: #f7f7f7;
    padding: 0.5em;
}
.watt-homees__content-detail-info-wrap {
    width: 65%;
}

.watt-homees__content-detail-info-h {
    font-size: 1.25em;
    color: var(--watt-blue-dark);
    font-weight: 500;
    line-height: 1.4;
}

.watt-homees__content-detail-info-p {
    margin-top: 1em;
    font-size: 0.75em;
    color: #3D3D3D;
    font-weight: 400;
    line-height: 1.6;
}

.watt-homees__content-detail-cover {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 67%;
    height: 100%;
    background: #d8d8d8;
    overflow: hidden;
}

.watt-homees__content-detail-cover picture {
    width: 100%;
    height: 100%;
}


.watt-homees__content-detail-cover-img {
    width: 100%;
    height: 100%;
    object-position: center;
    object-fit: cover;
    transition: all .5s ease;
}

.watt-homees__content-detail-cover:hover .watt-homees__content-detail-cover-img {
    transform: scale(1.4);
}

/*壁挂电池*/
.watt-homees__content-detail-bigua {
    margin-top: 6.25em;
}

.watt-homees__content-detail-bigua .watt-homees__content-detail-cover {
    order: -1;
}

/*逆变器*/
.watt-homees__content-detail-nibianqi {
    margin-top: 6.25em;
}





/**/
.watt-homees__content-detail-expand {
    margin-top: 6.25em;
}
.watt-homees__content-detail-expand-wrap {
    margin-top: 1.75em;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    gap: 3.23em 0;
}

.watt-homees__content-detail-expand-item {
    width: 48.5%;
    background: #f4f4f4;
    border-radius: 0.1875em;
    overflow: hidden;
}

.watt-homees__content-detail-expand-cover {
    width: 100%;
    height: 17.42em;
    overflow: hidden;
}
.watt-homees__content-detail-expand-img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.watt-homees__content-detail-expand-info {
    padding: 0.875em 2em;
}

.watt-homees__content-detail-expand-info-title {
    color: #3E3E3E;
    font-size: 1.28em;
    font-weight: 700;
}

.watt-homees__content-detail-expand-info-list {
    color: #3E3E3E;
    margin-top: 0.45em;
    font-size: 0.75em;
    line-height: 1.5em;
}

.watt-homees__content-detail-expand-info-item {
    display: flex;
    align-items: start;
}

/*.watt-homees__content-detail-expand-info-item:before {*/
/*    margin: 0 0.3125em;*/
/*    display: inline-block;*/
/*    position: relative;*/
/*    content: '·';*/
/*}*/




/*轮播图*/
.watt-homees__content-detail-swiper {
    margin-top: 3.75em;
}

.watt-homees__content-detail-swiper-wrap {
    margin-top: 1.875em;
    width: 100%;
    height: 23.75em;
    overflow: hidden;
}
.watt-homees__content-detail-swiper-track {
    width: 100%;
    height: 100%;
}
.watt-homees__content-detail-swiper-list {
    width: 100%;
    height: 100%;
    display: flex;
    gap: 1em;
}
.watt-homees__content-detail-swiper-list-item {
    min-width: 70%;
}
.watt-homees__content-detail-swiper-list-img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

@media(max-width: 800px) {
    /*banner*/
    .watt-homees__banner {
        background-image: url("/wp-content/themes/watt/assets/page/outdoor-energy-storage/img/banner-m.webp");
        height: 56.25vw;
        align-items: end;
        padding-bottom: 5.75vw;
    }
    .watt-homees__banner-inner-title {
        font-size: 3.875vw;
    }
    .watt-homees__banner-inner-description {
        font-size: 1.875vw;
        margin-top: 1.25vw;
        width: 100%;
    }
    .watt-homees__content {
        padding-top: 3.125em;
    }
    .watt-homees__banner-inner-button {
        margin-top: 2.5vw;
        font-size: 2vw;
        padding: 1.25vw 4.5vw;
    }

    /*sidebar*/
    .watt-homees__content-sidebar {
        display: none;
    }
    .watt-homees__content-detail {
        width: 100%;
    }

    /*title*/
    .watt-homees__content-detail-brand-title {
        font-size: 2.1875em;
    }


    /*机架电池*/
    .watt-homees__content-detail-common-wrap {
        position: relative;
        margin-top: 1.875em;
        height: 45em;
        flex-direction: column;
        border-radius: 0.3125em;
        overflow: hidden;
    }

    .watt-homees__content-detail-info {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        background: transparent;
        padding: 0em;
        display: block;
    }

    .watt-homees__content-detail-info-wrap {
        width: 100%;
        text-align: center;
        padding-top: 3.125em;
        text-shadow: 0 0 5px rgba(0, 0, 0, 0.4);
    }

    .watt-homees__content-detail-info-h {
        font-size: 2.1875em;
        color: #ffffff;
        font-weight: 700;
        text-align: center;

    }

    .watt-homees__content-detail-info-p {
        margin-top: 0.3125em;
        font-size: 0.9375em;
        color: #ffffff;
    }

    .watt-homees__content-detail-cover {
        width: 100%;
        height: 100%;
        background: #d8d8d8;
    }


    /**/
    .watt-homees__content-detail-expand {
        margin-top: 6.25em;
    }

    .watt-homees__content-detail-expand-wrap {
        margin-top: 1.75em;
        gap: 3.23em 0;
    }

    .watt-homees__content-detail-expand-item {
        width: 100%;
    }

    .watt-homees__content-detail-expand-cover {
        height: 26.75em;
    }

    .watt-homees__content-detail-expand-info {
        padding: 1.25em 3.125em;
    }

    .watt-homees__content-detail-expand-info-title {
        font-size: 1.5625em;
    }

    .watt-homees__content-detail-expand-info-list {
        font-size: 0.9375em;
    }



    /*轮播图*/
    .watt-homees__content-detail-swiper {
        margin-top: 6.25em;
    }

    .watt-homees__content-detail-swiper-wrap {
        margin-top: 1.875em;
        height: 17.5em;
    }

    .watt-homees__content-detail-swiper-list-item {
        min-width: 77%;
    }
}
